# $Id: smeserver-ezmlm-www.spec,v 1.15 2022/07/22 06:22:21 jpp Exp $
# Authority: picsone
# Name: Normando Hall

%define name smeserver-ezmlm-www
%define version 2.0.0
%define release 11

Summary: ezmlm-www packaged for sme server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Other
Source: %{name}-%{version}.tar.gz
Source1: ezmlm-www-1.4.5.tar.gz
Patch0: smeserver-ezmlm-www-2.0.0-bz11909-sme10.patch
Patch1: smeserver-ezmlm-www-2.0.0-bz11912-widecharacters.patch
Patch2: smeserver-ezmlm-www-2.0.0-bz11909-sme10-bis.patch
Patch3: smeserver-ezmlm-www-2.0.0-bz12124-backup.patch
Patch4: smeserver-ezmlm-www-2.0.0-bz12045-httpd24.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: perl-Mail-Box perl-User-Identity perl-TimeDate perl-Email-Simple perl-Plucene perl-KinoSearch ezmlm-web perl-Ezmlm perl-Mail-Ezmlm-Archive
Requires: e-smith-apache >= 2.6.0-19
BuildRequires: e-smith-devtools
BuildRequires: gcc
AutoReq: no

%description
ezmlm-www This project provides a useful web interface for Ezmlm
mailing list archives. It extends ezmlm-cgi.c capabilities and features
by using a modular architecture: it is fully Perl-based.

%changelog
* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-11.sme
- add to core backup [SME: 12124]
- update to httpd 2.4 syntax [SME: 12045]

* Sun Mar 20 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-10.sme
- chmod +x ezw-search [SME: 11909]

* Sun Mar 20 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-9.sme
- protect indexes and configuration [SME: 11909]

* Sat Mar 19 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-8.sme
- fix wide character error preventing to display message [SME: 11912]

* Fri Mar 18 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-7.sme
- remove list archive creation from event [SME: 11909]
- keep it a manual intervention until we add a button on server-manager

* Fri Mar 18 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-5.sme
- fix ez_search perms  [SME: 11909]
- use KinoSearch1
- create directory indexes

* Tue Mar 15 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.4.5-3.sme
- build for SME10 [SME: 11909]
  use initial source and compile ourself the index.cgi
  template the two config files 
  todo improve access rights in template

* Wed Dec 5 2007 Normando Hall <nhall@unixlan.com.ar>
- first release


%define debug_package %{nil}

%prep

%setup
%setup -T -D -a 1
cp -r ezmlm-www-1.4.5/* root/opt/mailinglist
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# sed KinoSearch KinoSearch1
sed -i root/opt/mailinglist/search/ez_indexer.pl -i root/opt/mailinglist/ezmlm-www.pl \
	-e 's/KinoSearch/KinoSearch1/g'
mkdir -p root/opt/mailinglist/search/indexes

%build
perl createlinks
#compile the c file
cd root/opt/mailinglist
cc  index.cgi.c -o index.cgi

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir  '/opt/mailinglist/search/indexes' 'attr(4775,ezmlm,ezmlm)' \
  --file /opt/mailinglist/search/ez_indexer.pl 'attr(0755,root,root)' \
  --file /opt/mailinglist/ezmlm-www.pl 'attr(0755,root,root)' \
  --file /opt/mailinglist/index.cgi 'attr(4711,ezmlm,ezmlm)' \
  --file /etc/cron.hourly/ezw-search 'attr(0755,root,root)' \
> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post


%postun


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
